Bug 862007 - [abrt] control-center-3.4.2-1.fc17: _dbus_abort: Process /usr/bin/gnome-control-center was killed by signal 6 (SIGABRT)
[abrt] control-center-3.4.2-1.fc17: _dbus_abort: Process /usr/bin/gnome-contr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
x86_64 Windows
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:c46946cdfcfc247403bf95e0aa6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 11:13 EDT by Rustam
Modified: 2013-07-31 18:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.12 KB, text/plain)
2012-10-01 11:13 EDT, Rustam
no flags Details
File: environ (1.46 KB, text/plain)
2012-10-01 11:13 EDT, Rustam
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-01 11:13 EDT, Rustam
no flags Details
File: backtrace (29.71 KB, text/plain)
2012-10-01 11:14 EDT, Rustam
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-01 11:14 EDT, Rustam
no flags Details
File: maps (91.41 KB, text/plain)
2012-10-01 11:14 EDT, Rustam
no flags Details
File: dso_list (20.33 KB, text/plain)
2012-10-01 11:14 EDT, Rustam
no flags Details
File: build_ids (7.89 KB, text/plain)
2012-10-01 11:14 EDT, Rustam
no flags Details
File: open_fds (768 bytes, text/plain)
2012-10-01 11:14 EDT, Rustam
no flags Details
File: var_log_messages (644 bytes, text/plain)
2012-10-01 11:14 EDT, Rustam
no flags Details

  None (edit)
Description Rustam 2012-10-01 11:13:50 EDT
Description of problem:
I was trying to set keys to change keyboard layout (Region and Language -> Layouts -> Options), then the program crashed.

Version-Release number of selected component:
control-center-3.4.2-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        gnome-control-center region
crash_function: _dbus_abort
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 _dbus_abort at dbus-sysdeps.c:94
: #3 _dbus_warn_check_failed at dbus-internals.c:289
: #4 dbus_message_iter_append_basic at dbus-message.c:2526
: #6 append_cache_item at cache-adaptor.c:193
: #7 emit_cache_add at cache-adaptor.c:281
: #8 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:1312
: #9 _g_closure_invoke_va at gclosure.c:840
: #12 add_object at ../../atk-adaptor/accessible-cache.c:199
: #13 add_pending_items at ../../atk-adaptor/accessible-cache.c:307
: #17 g_main_context_iteration at gmain.c:3207
Comment 1 Rustam 2012-10-01 11:13:54 EDT
Created attachment 619842 [details]
File: core_backtrace
Comment 2 Rustam 2012-10-01 11:13:56 EDT
Created attachment 619843 [details]
File: environ
Comment 3 Rustam 2012-10-01 11:13:58 EDT
Created attachment 619844 [details]
File: limits
Comment 4 Rustam 2012-10-01 11:14:02 EDT
Created attachment 619845 [details]
File: backtrace
Comment 5 Rustam 2012-10-01 11:14:06 EDT
Created attachment 619846 [details]
File: cgroup
Comment 6 Rustam 2012-10-01 11:14:10 EDT
Created attachment 619847 [details]
File: maps
Comment 7 Rustam 2012-10-01 11:14:15 EDT
Created attachment 619848 [details]
File: dso_list
Comment 8 Rustam 2012-10-01 11:14:18 EDT
Created attachment 619849 [details]
File: build_ids
Comment 9 Rustam 2012-10-01 11:14:21 EDT
Created attachment 619850 [details]
File: open_fds
Comment 10 Rustam 2012-10-01 11:14:30 EDT
Created attachment 619851 [details]
File: var_log_messages
Comment 11 Rustam 2012-10-02 09:27:06 EDT
UPD: This problem persists only if you use UTF-8 locale (I use Russian locale on my system). Here's the error I get after running gnome-control-center in terminal emulator with LANG=ru_RU.UTF-8:

This only process 7225: arguments to dbus_message_iter_append_basic() were incorrect, assertion "_dbus_check_is_valid_utf8 (*string_p)" failed in file dbus-message.c line 2526.
This is normally a bug in some application using the D-Bus library.
D-Bus not built with -rdynamic so unable to print a backtrace
Аварийный останов (core dumped) ("Aborted")
Comment 12 Fedora End Of Life 2013-07-03 17:24:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-07-31 18:26:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.